Subject: bug#73877: 30; rust-ts-mode: highlight the possible type suffix of number literals

From: Randy Taylor <[email-masked]>
Date: Fri, 22 Nov 2024 00:57:32 +0000

On Monday, November 18th, 2024 at 10:14, Christophe TROESTLER <[email-masked]> wrote:
> 
> On 15 November 2024 at 01:11 +01, Randy Taylor [email-masked] wrote:
> 
> > […] the patch didn't apply cleanly for me […]
> 
> 
> Here is an updated version of the patch against today's master branch.

For some reason it still doesn't apply for me - not sure why. Maybe it's just me.
I always do "git format-patch -1" to generate my patches.

> 
> > […] If you do the same as treesit-font-lock-level, […]
> 
> 
> For some reason it did not work in the past but it does now, so that's how I proceeded.
> 
> > You will also need to: (require 'rust-ts-mode)
> 
> 
> Ok — some tests do that, others don't, so I did not originally change that. I've now added the “require”.
> 
> > After you make that change, I think you should be able to get rid of
> > this:
> > +(put 'rust-ts-mode-fontify-number-suffix-as-type 'safe-local-variable
> > + 'booleanp)
> 
> 
> I first thought that one may want to set that change for specific file but, you are right, it is more of a user choice that should be set in your own config. files.
> 
> > In the font-lock-number.rs file, it looks like there is an extraneous
> > newline at the top of the file.
> 
> 
> Fixed.
> 
> > BTW the current patch still doesn't apply against the latest master
> > for me.
> 
> 
> I have rebased it on the current origin/master.
> 
> Best,
> C.

Thanks for working on this and putting up with me - the patch looks
good to me. Eli, please install if you have no further comments.